Commit 3ee402ff authored by Carlos Remuzzi's avatar Carlos Remuzzi
Browse files

verificando deps

parent 7e76a4ea
......@@ -4,6 +4,60 @@ WIFI_INTERFACE=$(cat /proc/net/wireless | perl -ne '/(\w+):/ && print $1')
AP_PSK=libreCast
USER_NAME=$(whoami)
verificar_debian_deps() {
echo "Verificando dependencias ..."
hash apt >/dev/null 2>&1 || {
echo "Error: apt no detectado"
echo "el presente script funciona solo en sistemas"
echo "basados en Debian"
exit 1
}
hash sudo >/dev/null 2>&1 || {
echo "Error: sudo no está instalado"
echo "Por favor contactar el administrador"
echo "del equipo para proceder con la instalación"
exit 1
}
hash git >/dev/null 2>&1 || {
echo "Instalando git ..."
sudo apt install git
}
hash gst-launch-1.0 >/dev/null 2>&1 || {
echo "Instalando gstreamer1.0-tools ..."
sudo apt install gstreamer1.0-tools
}
hash pacmd >/dev/null 2>&1 || {
echo "Instalando pulseaudio ..."
sudo apt install pulseaudio-utils
}
hash curl >/dev/null 2>&1 || {
echo "Instalando curl ..."
sudo apt install curl
}
echo "dependencias OK"
}
verificar_archlinux_deps() {
echo "Verificando dependencias para ArchLinux ..."
hash sudo >/dev/null 2>&1 || {
echo "Error: sudo no está instalado"
echo "Por favor contactar el administrador"
echo "del equipo para proceder con la instalación"
exit 1
}
sudo pacman -Syy
sudo pacman --needed -S git curl xorg-xdpyinfo gstreamer
}
configurar_ap(){
if nmcli con show $1 > /dev/null 2>&1 ;then
echo "la conexión $1 está ya instalada"
......@@ -38,9 +92,12 @@ main() {
NORMAL=""
fi
# Habilitacion de exit-on-error despues de colores
# Habilitación de exit-on-error después de colores
set -e
# verificando solo para debian
verificar_debian_deps
if [ ! -n "$LIBRECAST" ]; then
LIBRECAST=~/librecast
fi
......@@ -57,31 +114,12 @@ main() {
umask g-w,o-w
printf "${BLUE}Clonando libreCast...${NORMAL}\n"
hash git >/dev/null 2>&1 || {
echo "Error: git no está instalado"
sudo apt install git
}
env git -c http.sslVerify=false clone https://gitlab.geo.gob.bo/agetic/librecast.git $LIBRECAST || {
printf "Error: el git clone del repo librecast ha fallado \n"
exit 1
}
hash gst-launch-1.0 >/dev/null 2>&1 || {
echo "Error: gstreamer no está instalado"
sudo apt install gstreamer1.0-tools
}
hash pacmd >/dev/null 2>&1 || {
echo "Error: pulseaudio no está instalado"
sudo apt install pulseaudio-utils
}
hash curl >/dev/null 2>&1 || {
echo "Error: curl no esta instalado"
sudo apt install curl
}
# esto tiene que adaptarse a diferentes distros
mkdir -p $HOME/.local/share/applications
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment